org.apache.maven.scm.provider.bazaar.command.changelog

## Class BazaarChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.bazaar.command.BazaarConsumer
    - - org.apache.maven.scm.provider.bazaar.command.changelog.BazaarChangeLogConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class BazaarChangeLogConsumer
    extends BazaarConsumer

Author:
  Torbjorn Eikli Smorgrav, Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`BazaarChangeLogConsumer(ScmLogger logger, String userDatePattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doConsume(ScmFileStatus status, String line)`
`List<ChangeSet>` `getModifications()`

### Methods inherited from class org.apache.maven.scm.provider.bazaar.command.BazaarConsumer

`consumeLine, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarChangeLogConsumer

    public BazaarChangeLogConsumer(ScmLogger logger,
                                   String userDatePattern)

### Method Detail

#### getModifications

    public List<ChangeSet> getModifications()

#### doConsume

    public void doConsume(ScmFileStatus status,
                          String line)

Overrides:
  `doConsume` in class `BazaarConsumer`